SDL Library Documentation
Prev |  | Next

# SDL_Flip

## Name

SDL_Flip -- Swaps screen buffers

## Synopsis

    #include "SDL.h"

``int SDL_Flip`(SDL_Surface *screen);`

## Description

On hardware that supports double-buffering, this function sets up a flip and returns. The hardware will wait for vertical retrace, and then swap video buffers before the next video surface blit or lock will return. On hardware that doesn't support double-buffering, this is equivalent to calling SDL_UpdateRect`(screen, 0, 0, 0, 0)`

The `SDL_DOUBLEBUF` flag must have been passed to SDL_SetVideoMode, when setting the video mode for this function to perform hardware flipping.

## Return Value

This function returns 0 if successful, or -1 if there was an error.

## See Also

`SDL_SetVideoMode`, `SDL_UpdateRect`, SDL_Surface

Prev | Home | Next
SDL_UpdateRects | Up | SDL_SetColors